> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Toggle Hook

> Enable or disable a hook

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>
<ParamField path="hookId" type="string" required>Hook ID.</ParamField>

## Body Parameters

<ParamField body="active" type="boolean" required>
  Set to `true` to enable, `false` to disable.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/toggle" \
    -H "X-API-Key: trusset_your_key_here" \
    -H "Content-Type: application/json" \
    -d '{"active": false}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "hook_002",
      "active": false
    }
  }
  ```
</ResponseExample>
